jQuery(function ($) {


    jQuery(document).ready(function () {
        sssp_check_insert_field();
    });

    jQuery('.sdop-box-id-manually :checkbox').change(function () {
        sssp_check_insert_field();
    });

    jQuery('.sdop-box-id-manually input[type="number"]').change(function () {
        sssp_check_insert_field();
    });


    function sssp_check_insert_field() {

        //Create a array of boxes
        var box_array = [];
        for (var i = 1; i <= 5; i++) {
            box_array.push(i);
        }

        jQuery.each(box_array, function (index, value) {
            if (jQuery('#sdop-box-id-manually-' + value + '').is(':checked')) {
                sssp_show_box(['manual-box-' + value + '']);
                sssp_hide_box(['sssp-widget-description-box-' + value + '']);
                sssp_check_error(value);
            } else {
                sssp_hide_box(['manual-box-' + value + '']);
                sssp_show_box(['sssp-widget-description-box-' + value + '']);
                sssp_check_error(value);
            }
        })

    }

    function sssp_hide_box(elements) {
        jQuery.each(elements, function (index, value) {
            jQuery('#' + value).hide(0);
        })
    }

    function sssp_show_box(elements) {
        jQuery.each(elements, function (index, value) {
            jQuery('#' + value).show(0);
        })
    }

    function sssp_check_error(box_id) {
        if (!jQuery('#sdop-box-id-' + box_id).val() && jQuery('#sdop-box-id-manually-' + box_id + '').is(':checked')) {
            sssp_show_box(['sssp-error-box-' + box_id + '']);
        } else {
            sssp_hide_box(['sssp-error-box-' + box_id + '']);
        }
    }


    // Copy Code
    jQuery(document).on("click", '#sssp-copy-code', function (e) {
        e.preventDefault();
        var sssp_code_target = jQuery(this).parent().data('target');
        var sssp_textarea_to_copy = jQuery('.sssp-textarea-preview-' + sssp_code_target);

        console.log('.sssp-textarea-preview-' + sssp_code_target);

        jQuery(sssp_textarea_to_copy).select();
        document.execCommand("copy");
    });


});
